import { IDbConfig } from './interfaces/config.interface';
export default class App {
    private gqlLoader;
    private expressApp;
    private config;
    private static playgroundUrl;
    loadConfig(database?: IDbConfig): Promise<void>;
    buildServer(initContextStorage?: Function): Promise<() => Promise<void>>;
    private buildGraphql;
    private buildRest;
    private createDbConnectionAndMigrate;
}
